//                 _
//   _  _____ _ __(_)___     Keris -- extensible modules for Java
//  | |/ / _ \ '__| / __|    (c) 2002-2003, Matthias Zenger
//  |   <  __/ |  | \__ \
//  |_|\_\___|_|  |_|___/    A pure Java interface for Jaco
//
//  [[id: Keco.java (1174) 22-Feb-03 02:09]]

package org.zenger.keco.adapt;

import org.zenger.keco.MAIN;
import org.zenger.jaco.REPORT;
import java.util.Vector;


public class Keco extends MAIN {
    
    public Keco() {
        super(null);
    }
    
    public boolean run(String[] args) {
        if ((args == null) || (args.length == 0))
            return true;
        $access();
        return $main(args, null);
    }
    
    public REPORT.LogEntry[] compile(String[] args) {
        if ((args == null) || (args.length == 0))
            return new REPORT.LogEntry[0];
        Vector log = new Vector();
        $access();
        $main(args, log);
        return (REPORT.LogEntry[])log.toArray(
            new REPORT.LogEntry[log.size()]);
    }
    
    public void print(String message) {
        System.out.print(message);
    }
    
    public void println(String message) {
        System.out.println(message);
    }
}
